Bug 1120868 - nodejs-symlink-deps doesn't handle caret when matching a major version
Summary: nodejs-symlink-deps doesn't handle caret when matching a major version
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-packaging
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:42 UTC by Tom Hughes
Modified: 2015-11-16 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-16 17:35:01 UTC


Attachments (Terms of Use)
Patch to handle caret (738 bytes, patch)
2014-07-17 21:42 UTC, Tom Hughes
no flags Details | Diff

Description Tom Hughes 2014-07-17 21:42:21 UTC
Created attachment 918839 [details]
Patch to handle caret

When dealing with a multiversioned module nodejs-symlink-deps doesn't handle caret when matching the major version.

The attached patch should fix it.

Comment 1 Jaroslav Reznik 2015-03-03 16:08:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22


Note You need to log in before you can comment on or make changes to this bug.